Name: tbuilder
Version: 0.1.2024.0
Release: 1
License: Non-free
BuildArch: i386
URL: https://www.tinymanagement.com/
Requires(pre): systemd
Requires(preun): systemd
Summary: TinyBuilder Job Server
%description
TinyBuilder is designed as a simpler alternative to make
and CMake. Its scripting language is much simpler and its
server minimizes onboarding time.
 The TinyBuilder job server executes each job as directed by
within its own work area. The TinyBuilder server is required
for the TinyBuilder client to work, but a single server may
service many clients.
 The TinyBuilder server and client may be used at no cost.
A license may be purchased for individual support and for
additional features.

%pre
systemctl stop tbuilder.service || true
systemctl disable tbuilder.service || true

%post
if [ -z $SUDO_USER ]; then
    export current_user=$USER
else
    export current_user=$SUDO_USER
fi
if [ -z $current_user ]; then
    current_user=root
    echo 'No user found, TinyBuilder job server running as root'
else
    echo "TinyBuilder job server running as $current_user"
fi
export core_count=`cat /proc/cpuinfo | grep processor | wc -l`
mkdir -p /var/opt/TinyBuilder/workarea
chown $current_user /var/opt/TinyBuilder
chown $current_user /var/opt/TinyBuilder/workarea
sed s/cccccccc/$core_count/ /usr/share/tbuilder/config/tbuilder.service > /usr/share/tbuilder/config/tbuilder.service.partial
sed s/aaaaaaaa/$current_user/ /usr/share/tbuilder/config/tbuilder.service.partial > /etc/systemd/system/tbuilder.service
rm /usr/share/tbuilder/config/tbuilder.service.partial
systemctl daemon-reload
systemctl start tbuilder.service
systemctl enable tbuilder.service

%preun
systemctl stop tbuilder.service || true

%postun
systemctl disable tbuilder.service || true
rm /etc/systemd/system/tbuilder.service
rm -fr /var/opt/TinyBuilder/workarea

%files
/opt/TinyBuilder/tbuilder
/opt/TinyBuilder/tbuilderd
/usr/share/tbuilder/config/tbuilder.service
/usr/share/tbuilder/LICENSE
